rpm: Data Fields - Variables

rpm 4.10.0

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

- All
- Variables

- a
- b
- c
- d
- e
- f
- h
- i
- k
- l
- n
- o
- p
- q
- r
- s
- t
- u
- v

### - a -

- algo : pgpPktPubkey_s

### - b -

- begin : rpmop_s
- buildAmount : rpmBuildArguments_s
- buildRootOverride : rpmBuildArguments_s
- bytes : rpmop_s

### - c -

- cdata : pgpPktPre_u
- compressalgo : pgpPktCdata_s
- cookie : rpmBuildArguments_s
- count : rpmop_s , rpmtd_s

### - d -

- data : pgpPktCdata_s , rpmtd_s , pgpPktEdata_s

### - e -

- edata : pgpPktPre_u

### - f -

- filename : pgpPktLdata_s
- filenamelen : pgpPktLdata_s
- flag : pgpPktTrust_s
- flags : rpmtd_s
- format : pgpPktLdata_s

### - h -

- hash_algo : pgpPktSigV3_s , pgpPktSigV4_s , pgpPktOnepass_s
- hashalgo : rpmSignArgs
- hashlen : pgpPktSigV3_s , pgpPktSigV4_s

### - i -

- incldocs : rpmInstallArguments_s
- installInterfaceFlags : rpmInstallArguments_s
- ix : rpmtd_s

### - k -

- key : pgpPktPre_u
- keyid : rpmSignArgs , pgpPktPubkey_s

### - l -

- ldata : pgpPktPre_u

### - n -

- nested : pgpPktOnepass_s
- newPath : rpmRelocation_s
- noDeps : rpmInstallArguments_s
- numRelocations : rpmInstallArguments_s
- nvals : ARGI_s

### - o -

- oldPath : rpmRelocation_s
- onepass : pgpPktPre_u

### - p -

- pkgFlags : rpmBuildArguments_s
- prefix : rpmInstallArguments_s
- probFilter : rpmInstallArguments_s
- pubkey : pgpPktPre_u
- pubkey_algo : pgpPktSigV4_s , pgpPktSigV3_s , pgpPktKeyV4_s , pgpPktKeyV3_s , pgpPktOnepass_s

### - q -

- qva_fflags : rpmQVKArguments_s
- qva_flags : rpmQVKArguments_s
- qva_mode : rpmQVKArguments_s
- qva_queryFormat : rpmQVKArguments_s
- qva_showPackage : rpmQVKArguments_s
- qva_source : rpmQVKArguments_s
- qva_sourceCount : rpmQVKArguments_s
- qva_specQuery : rpmQVKArguments_s

### - r -

- relocations : rpmInstallArguments_s
- rootdir : rpmBuildArguments_s

### - s -

- s2k : pgpPktSymkey_s
- sig : pgpPktPre_u
- signhash16 : pgpPktSigV3_s
- signid : pgpPktSigV3_s , pgpPktOnepass_s
- sigtype : pgpPktSigV4_s , pgpPktOnepass_s , pgpPktSigV3_s
- symkey : pgpPktPre_u
- symkey_algo : pgpPktSymkey_s

### - t -

- tag : rpmtd_s
- tdata : pgpPktPre_u
- ticks : rpmsw_s
- time : pgpPktSigV3_s , pgpPktKeyV3_s , pgpPktKeyV4_s
- tocks : rpmsw_s
- transFlags : rpmInstallArguments_s
- tv : rpmsw_s
- type : rpmtd_s

### - u -

- u : rpmsw_s
- uid : pgpPktPre_u
- usecs : rpmop_s
- userid : pgpPktUid_s

### - v -

- v3 : pgpPktSig_u , pgpPktKey_u
- v4 : pgpPktKey_u , pgpPktSig_u
- valid : pgpPktKeyV3_s
- vals : ARGI_s
- version : pgpPktSigV3_s , pgpPktPubkey_s , pgpPktOnepass_s , pgpPktKeyV3_s , pgpPktKeyV4_s , pgpPktSigV4_s , pgpPktSymkey_s